using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using HySoft.Common;

namespace HySoft.BaseCallCenter.Web.askmanage
{
    public partial class pagerview : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                try
                {
                    LoginUser p_LoginUser = new LoginUser(this.Context);
                    txtUserId.Value = p_LoginUser.UserID.ToString();
                }
                catch { }
                if (!string.IsNullOrEmpty(Request.QueryString["pagerid"]))
                {
                    txtId.Value = Request.QueryString["pagerid"].Trim();
                    InitObj(Request.QueryString["pagerid"].Trim());
                }
            }
        }

        void InitObj(string id)
        {
            try
            {
                T_Ask_PagerInfoObj = new BLL.T_Ask_PagerInfo().GetModel(Convert.ToInt32(id));
            }
            catch (Exception ex)
            {
            }
        }

        private Model.T_Ask_PagerInfo T_Ask_PagerInfoObj
        {
            get
            {
                Model.T_Ask_PagerInfo model = new Model.T_Ask_PagerInfo();

                return model;
            }
            set
            {
                if (value != null)
                {
                    this.txtId.Value = value.F_PagerId.ToString();
                    spanTitle.InnerHtml = value.F_Title.Trim();
                    spanRemark.InnerHtml = value.F_Remark.Trim();
                }
            }
        }

    }
}